# $Revision: 1.10 $, $Date: 2012/03/28 07:26:19 $
Summary:	Arena Scripting Language with syntax and library similar to ANSI C
Summary(pl.UTF-8):	Język skryptowy Arena ze składnią i biblioteką podobną do ANSI C
Name:		arena
Version:	0.9.9
Release:	3
License:	distributable	
Group:		Development/Languages
Source0:	http://www.minimalinux.org/arena/%{name}-%{version}.tar.gz
# Source0-md5:	16005f68f784d9062feccfaa83c1ad03
URL:		http://www.minimalinux.org/arena/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pcre-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Arena, a light-weight scripting language. The language uses a syntax
and library similar to that of ANSI C, but adds automatic memory
management and runtime polymorphism on top of that.
The Arena language was designed with the following main features
in mind, most of which were added on top of a very C-like core to
support:
- better ad-hoc scripting: 
- syntax similar to ANSI C
- standard library similar to ANSI C
- automatic memory management
- runtime polymorphism
- support for exceptions
- support for anonymous functions

Additionally, an interpreter for the Arena language can be
implemented to be very compact in terms of both source code size
and memory consumption.

%description -l pl.UTF-8
Arena to lekki język skryptowy. Język wykorzystuje składnię i
bibliotekę podobne do ANSI C, ale dodaje do tego automatyczne
zarządzanie pamięcią i polimorfizm. Język Arena został zaprojektowany
z myślą o następujących cechach, z których większość została dodana
do rdzenia bardzo podobnego do C:
- lepsze tworzenie skryptów ad-hoc
- składnia podobna do ANSI C
- biblioteka standardowa podobna do ANSI C
- automatyczne zarządzanie pamięcią
- polimorfizm
- obsługa wyjątków
- obsługa anonimowych funkcji

Ponadto interpreter języka Arena może być zaimplementowany jako bardzo
zwarty w sensie zarówno rozmiaru kodu źródłowego, jak i wykorzystania
pamięci.

%package examples
Summary:	Examples for Arena Scripting Language
Summary(pl.UTF-8):	Przykłady dla języka skryptowego Arena
Group:		Development/Languages

%description examples
Examples for Arena Scripting Language.

%description examples -l pl.UTF-8
Przykłady dla języka skryptowego Arena.

%prep
%setup -q

%build
%{__autoconf}
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -f doc/manual/transform $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -Rf examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/CHANGES doc/CREDITS doc/HACKING doc/LICENSE doc/NEWS doc/TODO doc/manual/manual.asc
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/arena.1*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: arena.spec,v $
Revision 1.10  2012/03/28 07:26:19  arekm
- release 3

Revision 1.9  2008/07/27 23:03:36  arekm
- release 2

Revision 1.8  2007-02-12 22:09:09  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.6  2006/11/14 22:19:51  twittner
- up to 0.9.9

Revision 1.5  2006/11/03 17:59:52  twittner
- rel. 1

Revision 1.4  2006/10/04 23:05:35  twittner
- added omitted files (examples)

Revision 1.3  2006/10/04 20:47:29  qboosh
- pl desc

Revision 1.2  2006/10/01 17:06:23  twittner
- forgotten md5 for source

Revision 1.1  2006/10/01 17:04:12  twittner
- added
